# std::atomic<T>::load

From cppreference.com
< cpp‎ | atomic‎ | atomic

|  | (since C++11)
T load( std::memory_order order = std::memory_order_seq_cst ) const noexcept; |  |
T load( std::memory_order order = std::memory_order_seq_cst ) const volatile noexcept; |  |

Atomically loads and returns the current value of the atomic variable. Memory is affected according to the value of `order`.

`order` must be one of std::memory_order_relaxed, std::memory_order_consume, std::memory_order_acquire or std::memory_order_seq_cst. Otherwise the behavior is undefined.

### Parameters

order | - | memory order constraints to enforce

### Return value

The current value of the atomic variable.

### See also

operator T | loads a value from an atomic object (public member function)
atomic_loadatomic_load_explicit (C++11)(C++11) | atomically obtains the value stored in an atomic object (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/load&oldid=93073"